#include "Random.hlsl"

struct MyVertexOut
{
  float4 A : TEXCOORD8;
  float4 B : TEXCOORD9;
  float4 C : TEXCOORD10;
  VertexOut vertexOut;
};


MyVertexOut main(VertexIn In, uint id : SV_VertexID)
{
  VertexOut Out = VERTEX_FUNCTION(In);

  Out.ViewSpacePosition = mul(Out.WorldPosition, viewMatrix);

  MyVertexOut MyOut = (MyVertexOut)0;
  MyOut.vertexOut = Out;

  MyOut.A = float4(((id + 0) % 3) == 0,
                   ((id + 1) % 3) == 0,
                   ((id + 2) % 3) == 0,
                   ((id + 0) % 2) == 0);
  MyOut.B = float4(((id + 1) % 2) == 0,
                   ((id + 0) % 5) == 0,
                   ((id + 1) % 5) == 0,
                   ((id + 2) % 5) == 0);
  MyOut.B = float4(((id + 3) % 5) == 0,
                   ((id + 4) % 5) == 0,
                   ((id + 0) % 7) == 0,
                   ((id + 1) % 7) == 0);
  return MyOut;
}
