#ifndef COGS_CORE_RANDOM_ES30_GLSL
#define COGS_CORE_RANDOM_ES30_GLSL

uint wangHash(uint seed)
{
  seed = (seed ^ 61u) ^ (seed >> 16u);
  seed *= 9u;
  seed = seed ^ (seed >> 4u);
  seed *= 0x27d4eb2du;
  seed = seed ^ (seed >> 15u);
  return seed;
}

float rand(inout uint state)
{
  state = 1664525u * state + 1013904223u;
  return (1.0 / 4294967296.0) * float(state);
}

#endif