SurfaceOut surfaceFunction(VertexIn In)
{
  SurfaceOut Out = createSurfaceOut();

  vec4 sprite = texture2D(spriteTexture, In.TexCoord.xy);

  float alpha = sprite.a * spriteColor().a;

  if (alpha < 0.01) discard;

  Out.Color = vec4(spriteColor().rgb * sprite.rgb * alpha, alpha);

  return Out;
}
