precision mediump float;

uniform mat4 projectionMatrix;
uniform mat4 viewMatrix;
uniform mat4 worldMatrix;
uniform vec4 diffuseColor;

attribute vec3 a_POSITION0;

void main()
{
  mat4 worldViewMatrix = viewMatrix * worldMatrix;
  mat4 worldViewProjectionMatrix = projectionMatrix * worldViewMatrix;
  gl_Position = worldViewProjectionMatrix * vec4(a_POSITION0, 1);
}
