VertexOut invokeMaterial(VertexIn In)
{
  VertexOut Out = MATERIAL_VERTEX_FUNCTION(In);

#if defined(COGS_CLIPSHAPE_CUBE) || defined(COGS_CLIPSHAPE_INVERTED_CUBE)
  Out.Clip0.x = dot(clippingPlanes[0], Out.WorldPosition);
  Out.Clip0.y = dot(clippingPlanes[1], Out.WorldPosition);
  Out.Clip0.z = dot(clippingPlanes[2], Out.WorldPosition);
  Out.Clip0.w = dot(clippingPlanes[3], Out.WorldPosition);
  Out.Clip1.x = dot(clippingPlanes[4], Out.WorldPosition);
  Out.Clip1.y = dot(clippingPlanes[5], Out.WorldPosition);
#endif

  return Out;
}
