SurfaceOut surfaceFunction(VertexIn In)
{
  SurfaceOut Out = (SurfaceOut)0;

  float4 sprite = spriteTexture.Sample(spriteTextureSampler, In.TexCoord.xy);

  float alpha = sprite.a * spriteColor.a;

  if (alpha < 0.01) discard;

  Out.Color = float4(spriteColor.rgb * sprite.rgb * alpha, alpha);

  return Out;
}
